Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	alleggl allow you to use OpenGL alongside Allegro
Name:		alleggl
Version:	0.4.2
Release:	1
License:	GNU/GPL 
URL:		http://allegrogl.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel allegro-devel
BuildRequires:  libXrandr-devel startup-notification-devel
BuildRequires:  libXext-devel libX11-devel libXtst-devel libXxf86vm-devel
BuildRequires:  libXxf86dga-devel libXxf86misc-devel libXi-devel
BuildRequires:  libXrender-devel libXinerama-devel libdmx-devel libXp-devel
Requires:	allegro


%description
The library mostly provides functions to allow you to use OpenGL alongside
Allegro -- you use OpenGL for your rendering to the screen, and Allegro for
miscellaneous tasks like gathering input, doing timers, getting cross-platform
portability, loading data, and drawing your textures.  So this library fills
the same hole that things like glut do.

AllegroGL also automatically exposes most, if not all, OpenGL extensions
available to user programs. This means you no longer have to manually load
them; extension management is already done for you.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}

%build
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --infodir=%_infodir \
	--enable-mxx --enable-sse
make -j1 CFLAGS="${CFLAGS}"

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/libagl.so.*

%files devel
%defattr(-,root,root)
%_libdir/libagl.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.4.2-1
- Version Update
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0-1
- Initial Release
